org.apache.velocity.tools.view.jsp.jspimpl

## Class VelocityPageContext

- java.lang.Object
- - javax.servlet.jsp.JspContext
  - - javax.servlet.jsp.PageContext
    - - org.apache.velocity.tools.view.jsp.jspimpl.VelocityPageContext

    public class VelocityPageContext
    extends javax.servlet.jsp.PageContext

Exposes a Velocity `Context`, a request and a response as a `PageContext`.

### Field Summary

### Fields inherited from class javax.servlet.jsp.PageContext

`APPLICATION, APPLICATION_SCOPE, CONFIG, EXCEPTION, OUT, PAGE, PAGE_SCOPE, PAGECONTEXT, REQUEST, REQUEST_SCOPE, RESPONSE, SESSION, SESSION_SCOPE`

### Constructor Summary

Constructors
Constructor and Description
`VelocityPageContext(org.apache.velocity.context.Context velocityContext, Writer velocityWriter, ViewContext viewContext)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `findAttribute(String name)`
`void` `forward(String relativeUrlPath)`
`Object` `getAttribute(String name)`
`Object` `getAttribute(String name, int scope)`
`Enumeration<String>` `getAttributeNamesInScope(int scope)`
`int` `getAttributesScope(String name)`
`javax.el.ELContext` `getELContext()`
`Exception` `getException()`
`javax.servlet.jsp.el.ExpressionEvaluator` `getExpressionEvaluator()`
`javax.servlet.jsp.JspWriter` `getOut()`
`Object` `getPage()`
`javax.servlet.ServletRequest` `getRequest()`
`javax.servlet.ServletResponse` `getResponse()`
`javax.servlet.ServletConfig` `getServletConfig()`
`javax.servlet.ServletContext` `getServletContext()`
`javax.servlet.http.HttpSession` `getSession()`
`javax.servlet.jsp.el.VariableResolver` `getVariableResolver()`
`void` `handlePageException(Exception e)`
`void` `handlePageException(Throwable t)`
`void` `include(String relativeUrlPath)`
`void` `include(String relativeUrlPath, boolean flush)`
`void` `initialize(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, String errorPageURL, boolean needsSession, int bufferSize, boolean autoFlush)`
`void` `release()`
`void` `removeAttribute(String name)`
`void` `removeAttribute(String name, int scope)`
`void` `setAttribute(String name, Object value)`
`void` `setAttribute(String name, Object value, int scope)`

### Methods inherited from class javax.servlet.jsp.PageContext

`getErrorData, pushBody`

### Methods inherited from class javax.servlet.jsp.JspContext

`popBody, pushBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VelocityPageContext

    public VelocityPageContext(org.apache.velocity.context.Context velocityContext,
                               Writer velocityWriter,
                               ViewContext viewContext)

Constructor.

Parameters:
  `velocityContext` - The Velocity context.
  `velocityWriter` - The writer to be used when writing content.
  `viewContext` - The View context.

### Method Detail

#### initialize

    public void initialize(javax.servlet.Servlet servlet,
                           javax.servlet.ServletRequest request,
                           javax.servlet.ServletResponse response,
                           String errorPageURL,
                           boolean needsSession,
                           int bufferSize,
                           boolean autoFlush)
                    throws IOException,
                           IllegalStateException,
                           IllegalArgumentException

Specified by:
  `initialize` in class `javax.servlet.jsp.PageContext`
Throws:
  `IOException`
  `IllegalStateException`
  `IllegalArgumentException`

#### release

    public void release()

Specified by:
  `release` in class `javax.servlet.jsp.PageContext`

#### getSession

    public javax.servlet.http.HttpSession getSession()

Specified by:
  `getSession` in class `javax.servlet.jsp.PageContext`

#### getPage

    public Object getPage()

Specified by:
  `getPage` in class `javax.servlet.jsp.PageContext`

#### getRequest

    public javax.servlet.ServletRequest getRequest()

Specified by:
  `getRequest` in class `javax.servlet.jsp.PageContext`

#### getResponse

    public javax.servlet.ServletResponse getResponse()

Specified by:
  `getResponse` in class `javax.servlet.jsp.PageContext`

#### getException

    public Exception getException()

Specified by:
  `getException` in class `javax.servlet.jsp.PageContext`

#### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

Specified by:
  `getServletConfig` in class `javax.servlet.jsp.PageContext`

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in class `javax.servlet.jsp.PageContext`

#### forward

    public void forward(String relativeUrlPath)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `forward` in class `javax.servlet.jsp.PageContext`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### include

    public void include(String relativeUrlPath)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `include` in class `javax.servlet.jsp.PageContext`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### include

    public void include(String relativeUrlPath,
                        boolean flush)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `include` in class `javax.servlet.jsp.PageContext`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### handlePageException

    public void handlePageException(Exception e)
                             throws javax.servlet.ServletException,
                                    IOException

Specified by:
  `handlePageException` in class `javax.servlet.jsp.PageContext`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### handlePageException

    public void handlePageException(Throwable t)
                             throws javax.servlet.ServletException,
                                    IOException

Specified by:
  `handlePageException` in class `javax.servlet.jsp.PageContext`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### setAttribute

    public void setAttribute(String name,
                             Object value)

Specified by:
  `setAttribute` in class `javax.servlet.jsp.JspContext`

#### setAttribute

    public void setAttribute(String name,
                             Object value,
                             int scope)

Specified by:
  `setAttribute` in class `javax.servlet.jsp.JspContext`

#### getAttribute

    public Object getAttribute(String name)

Specified by:
  `getAttribute` in class `javax.servlet.jsp.JspContext`

#### getAttribute

    public Object getAttribute(String name,
                               int scope)

Specified by:
  `getAttribute` in class `javax.servlet.jsp.JspContext`

#### findAttribute

    public Object findAttribute(String name)

Specified by:
  `findAttribute` in class `javax.servlet.jsp.JspContext`

#### removeAttribute

    public void removeAttribute(String name)

Specified by:
  `removeAttribute` in class `javax.servlet.jsp.JspContext`

#### removeAttribute

    public void removeAttribute(String name,
                                int scope)

Specified by:
  `removeAttribute` in class `javax.servlet.jsp.JspContext`

#### getAttributesScope

    public int getAttributesScope(String name)

Specified by:
  `getAttributesScope` in class `javax.servlet.jsp.JspContext`

#### getAttributeNamesInScope

    public Enumeration<String> getAttributeNamesInScope(int scope)

Specified by:
  `getAttributeNamesInScope` in class `javax.servlet.jsp.JspContext`

#### getOut

    public javax.servlet.jsp.JspWriter getOut()

Specified by:
  `getOut` in class `javax.servlet.jsp.JspContext`

#### getExpressionEvaluator

    public javax.servlet.jsp.el.ExpressionEvaluator getExpressionEvaluator()

Specified by:
  `getExpressionEvaluator` in class `javax.servlet.jsp.JspContext`

#### getVariableResolver

    public javax.servlet.jsp.el.VariableResolver getVariableResolver()

Specified by:
  `getVariableResolver` in class `javax.servlet.jsp.JspContext`

#### getELContext

    public javax.el.ELContext getELContext()

Specified by:
  `getELContext` in class `javax.servlet.jsp.JspContext`